Bug 143583 - FILEOPEN DOCX Ending empty paragraphs gone from footnotes
Summary: FILEOPEN DOCX Ending empty paragraphs gone from footnotes
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.1
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Footnote-Endnote
  Show dependency treegraph
 
Reported: 2021-07-28 13:18 UTC by NISZ LibreOffice Team
Modified: 2021-09-02 12:15 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in Word and Writer (155.09 KB, image/png)
2021-07-28 13:18 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-07-28 13:18:25 UTC
Created attachment 173916 [details]
Screenshot of the original document side by side in Word and Writer

Some of the footnotes in attachment 120024 [details] (from bug 95375) contain two paragraphs, the second being an empty one.
Recently these empty paragraphs started to disappear in Writer on opening.

Steps to reproduce:
    1. Open attachment 120024 [details]

Actual results:
At the bottom of the first page only the first footnote has an empty closing paragraph.

Expected results:
There should be an empty closing paragraph at footnotes number 2, 4, 5 too.

LibreOffice details:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 67f2a99229101757af4f40118f4d3c83ba38648b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Not yet in 7.1

Additional Information:
Bibisected using bibisect-win64-7.2 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=9b39ce0e66acfe812e1d50e530dc2ccdef3e1357 
author	László Németh <nemeth@numbertext.org>	Wed Feb 10 00:12:52 2021 +0100
committer	László Németh <nemeth@numbertext.org>	Fri Feb 12 18:27:31 2021 +0100

tdf#76260 DOCX import: fix slow footnote import

Adding CC to:  László Németh
Comment 1 Commit Notification 2021-08-11 11:59:01 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c46950fee11f5207fb8324947280cd565ae483e7

tdf#143583 DOCX import: fix lost empty paragraphs of footnotes

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2021-08-11 18:29:01 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/65b64d70875bc65d0a0da7ef85a98e2152cbbe53

tdf#143583 DOCX import: fix lost empty paragraphs of footnotes

It will be available in 7.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 NISZ LibreOffice Team 2021-09-02 12:15:54 UTC
Verified in: 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: d5ade739771ddf06cc7ee6d4af15672bfcf09ed6
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded